class LogsViewController {
    constructor(view) {
        this.view = view
        this.logsList = view.querySelector(".logs-list")
        Logger.instance.logs.forEach(this.appendLog.bind(this))
        Logger.instance.addEventListener(this.appendLog.bind(this))
    }

    appendLog(log) {
        const h = log.timestamp.getHours().toString().padStart(2, "0")
        const m = log.timestamp.getMinutes().toString().padStart(2, "0")
        const s = log.timestamp.getSeconds().toString().padStart(2, "0")
        const pre = document.createElement("pre")
        pre.innerHTML = `[${h}:${m}:${s}] ${log.message}`
        const li = document.createElement("li")
        li.classList.add(log.level)
        li.appendChild(pre)
        this.logsList.appendChild(li)
        window.scrollTo(0, document.body.scrollHeight)
    }

    dispose() {
        Logger.instance.removeEventListener(this.appendLog.bind(this))
    }
}
